
Sub GraustufenskalaErstellen()
Dim intI As Integer
  For intI = 1 To 56
    ActiveWorkbook.Colors(intI) = RGB(4 * intI, 4 * intI, 4 * intI)
  Next
End Sub

Sub RGBWerteAuslesen()
Dim intXLFarbnummer As Integer

  Sheets.Add

  ActiveSheet.Range("A1:F1").Value = _
    Array("Farbe", "Farbindex", "ColorNr", "Rot-Wert", "Grn-Wert", "Blau-Wert")
  ActiveSheet.Range("A2").Select

  For intXLFarbnummer = 1 To 56
    With ActiveCell
      .Interior.ColorIndex = intXLFarbnummer
      .Offset(0, 1).Value = intXLFarbnummer
      .Offset(0, 2).Value = ActiveWorkbook.Colors(intXLFarbnummer)
      .Offset(0, 3).Value = Val("&h" & Right("000000" & Hex(.Offset(0, 2)), 2) & "&")
      .Offset(0, 4).Value = _
        Val("&h" & Mid(Right("000000" & Hex(.Offset(0, 2)), 6), 3, 2) & "&")
      .Offset(0, 5).Value = _
        Val("&h" & Left(Right("000000" & Hex(.Offset(0, 2)), 6), 2) & "&")
      .Offset(1, 0).Select
    End With
  Next intXLFarbnummer

End Sub

Sub FarbwertErmitteln()
Dim intR As Integer
Dim intG As Integer
Dim intB As Integer

  intR = Val("&h" & Right("000000" & _
    Hex(ActiveWorkbook.Colors(ActiveCell.Interior.ColorIndex)), 2) & "&")
  intG = Val("&h" & Mid(Right("000000" & _
    Hex(ActiveWorkbook.Colors(ActiveCell.Interior.ColorIndex)), 6), 3, 2) & "&")
  intB = Val("&h" & Left(Right("000000" & _
    Hex(ActiveWorkbook.Colors(ActiveCell.Interior.ColorIndex)), 6), 2) & "&")
  MsgBox "RGB-Werte der Aktiven Zelle:" & vbLf & _
    "Rot: " & intR & vbLf & "Grn: " & intG & vbLf & "Blau: " & intB
End Sub
